Subject: Re: [SIP] Basic questions

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 01 Jun 2000 00:27:04 -0400

This is just my error; I made the statement without checking. So zero
lines is fine as far as SDP is concerned.

Even within SIP, I had forgotten about this tidbit in rfc2543:

> B.4 Delayed Media Streams
> 
>    In some cases, a caller may not know the set of media formats which
>    it can support at the time it would like to issue an invitation. This
>    is the case when the caller is actually a gateway to another protocol
>    which performs media format negotiation after call setup. When this
>    occurs, a caller MAY issue an INVITE with a session description that
>    contains no media lines. 

See, thats what happens when you always post at 3 in the morning ;)

-Jonathan R.

James Undery wrote:
> 
> Jonathan Rosenberg wrote:
> 
> > Sorry; I meant at least a single m line (i.e., zero m lines not
> > allowed).
> >
> 
> 4th paragraph of section 6 of RFC 2327 starts "An announcement consists of a
> session-level section followed by zero or more media-level sections". While this
> may be useful in a generic case the lack of media means the it is of no use to
> SIP. I would suggest adding a line along the lines of, SDP used in SIP must
> contain one or more media-level descriptions, to the bis draft. (Obviously
> reworded to avoid my awkward prose ;^) )
> 
> James Undery

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip